import type { NobjcObject } from "objc-js";
import type { _NSColor } from "./NSColor.js";
import type { _NSColorList } from "./NSColorList.js";
import type { _NSImage } from "./NSImage.js";
import type { _NSTouchBarItem } from "./NSTouchBarItem.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _NSColorPickerTouchBarItem extends _NSTouchBarItem {
    static alloc(): _NSColorPickerTouchBarItem;
    static new(): _NSColorPickerTouchBarItem;
    init(): _NSColorPickerTouchBarItem;
    /**
     * Creates a bar item containing a button with the standard color picker icon that invokes the color picker.
     */
    static colorPickerWithIdentifier$(identifier: _NSString): _NSColorPickerTouchBarItem;
    /**
     * Creates a bar item containing a button with the standard text color picker icon that invokes the color picker. Should be used when the item is used for picking text colors.
     */
    static textColorPickerWithIdentifier$(identifier: _NSString): _NSColorPickerTouchBarItem;
    /**
     * Creates a bar item containing a button with the standard stroke color picker icon that invokes the color picker. Should be used when the item is used for picking stroke colors.
     */
    static strokeColorPickerWithIdentifier$(identifier: _NSString): _NSColorPickerTouchBarItem;
    /**
     * Creates a bar item containing a button with the provided image that invokes the color picker.
     */
    static colorPickerWithIdentifier$buttonImage$(identifier: _NSString, image: _NSImage): _NSColorPickerTouchBarItem;
    /** The selected color of the picker. */
    color(): _NSColor;
    setColor$(value: _NSColor): void;
    /**
     * Whether or not the picker should allow picking a color with non-1.0 alpha. Defaults to `!NSColor.ignoresAlpha`.
     */
    showsAlpha(): boolean;
    setShowsAlpha$(value: boolean): void;
    /**
     * Controls the color spaces that the receiver is able to produce. If a color outside of the allowed spaces are displayed or selected, it will first be converted to the first color space in the array. `nil` signifies any color space is allowed. Empty array is an invalid value and will raise an exception if set. Defaults to `nil`.
     */
    allowedColorSpaces(): _NSArray;
    setAllowedColorSpaces$(value: _NSArray): void;
    /**
     * The color list displayed in the list color picker. Defaults to the standard system color list. Setting a custom color list will disable the additional tints/shades that appear on long-press.
     */
    colorList(): _NSColorList;
    setColorList$(value: _NSColorList): void;
    /**
     * The localized string labelling this item during user customization. The default value is the localized string of "Color Picker".
     */
    customizationLabel(): _NSString;
    setCustomizationLabel$(value: _NSString): void;
    target(): NobjcObject | null;
    setTarget$(value: NobjcObject | null): void;
    action(): string | null;
    setAction$(value: string | null): void;
    /**
     * Enables or disabled the color picker. If it is currently being shown in a popover, it will be dismissed.
     */
    enabled(): boolean;
    setEnabled$(value: boolean): void;
}
